View a markdown version of this page

TagResource - AWS Support authorization

TagResource

Adds or overwrites one or more tags for a support permit resource.

Request Syntax

POST /tags/resourceArn HTTP/1.1 Content-type: application/json { "tags": { "string" : "string" } }

URI Request Parameters

The request uses the following URI parameters.

resourceArn

The ARN of the resource to tag.

Length Constraints: Minimum length of 1. Maximum length of 512.

Pattern: arn:[a-z0-9-]+:[a-z0-9-]+:[a-z0-9-]*:[0-9]{12}:.+

Required: Yes

Request Body

The request accepts the following data in JSON format.

tags

The tags to add to the resource. Maximum of 50 tags.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: Yes

Response Syntax

HTTP/1.1 204

Response Elements

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have sufficient permissions to perform this operation.

HTTP Status Code: 403

InternalServerException

An internal service error occurred. Try again later.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource does not exist.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ThrottlingException

The request rate exceeded the allowed limit. Try again later.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of fields that fail validation. Each entry identifies the field and the reason for the constraint violation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: